Foreman - Bug #6537

Entering a very large number for idle_timeout is unchecked, crashes Ul
07/09/2014 06:04 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Settings
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1113349 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1582
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1113349

Description of problem:

Idle timeouts can be distracting. Thus, uf a user enters a very large number in the config settings for idle_timeout, there is no bounds
testing and the Ul crashes.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140625.0
How reproducible:

Steps to Reproduce:

1. In config settings, change the idle_timeout value to something large like "9999999"
2. Begin navigating elsewhere in Ul.

3. View results

Actual results:
We're sorry, but something went wrong.

We've been notified about this issue and we'll take a look at it shortly.
In production.log

ArgumentError (year too big to marshal: 192146 UTC):
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in “process_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in
“accept_and_process_next_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in “main_loop’
/ust/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in “block (3 levels) in start_threads'
Expected results:

Sane bounds testing of this field (and all others!).

Additional info:

Related issues:
Related to Foreman - Bug #7579: Session reset after each page request, idle_t... Resolved 09/22/2014

Associated revisions

Revision 8e5a869a - 07/14/2014 05:08 AM - Ori Rabin

Fixes #6537: Entering a very large number for idle_timeout is unchecked, crashes Ul

History

#1 - 07/09/2014 06:05 AM - Dominic Cleal

05/18/2024 12



https://bugzilla.redhat.com/show_bug.cgi?id=1113349

- Category set to Settings

#2 - 07/10/2014 07:44 AM - Ori Rabin

- Assignee set to Ori Rabin

#3 - 07/10/2014 07:46 AM - Dominic Cleal
- Status changed from New to Assigned

- Target version set to 1.8.0

#4 - 07/14/2014 07:38 AM - Ori Rabin

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1582 added
- Pull request deleted ()

#5 - 07/15/2014 08:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 8e5a869a80fe588fb3b228e74951c30713abc030.

#6 - 07/21/2014 04:44 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#7 - 09/22/2014 11:41 AM - Dominic Cleal

- Related to Bug #7579: Session reset after each page request, idle_timeout set to zero added
